:root {
  --primary-color: #f5c100;
  --secondary-color: #6d5d09;
  --highlight-color: #c72eff;
  --xs: 400px;
  --sm: 768px;
  --med: 992px;
  --large: 1200px;
  z-index: 10;
}

/* Resetting generic settings */
* {
  margin: 0;
}

/* generic fluid typography */
html {
  font-size: 16px;
}

body {
  font-family: 'Georgia', serif;
  font-size: 1rem;
  text-align: center;
  color: var(--primary-color);
  background-image: url('images/burlap-1920x1080.jpg');
  background-size: cover;
  background-repeat: no-repeat;
  background-color: #333;
  background-attachment: fixed;
  overflow-x: hidden;
}

article.privacy {
  color: black;
  text-align: left;
  line-height: 1.8rem;
  padding: 2rem;
  margin: 2rem auto;
  background-color: #ccccbf;
  border-radius: 15px;
  width: 50rem;
  max-width: 50rem;
}

article.privacy h1 {
  text-shadow: none;
  margin-bottom: 1.4rem;
}

article.privacy dl dt {
  font-weight: bold;
  font-size: 1.4rem;
  margin-top: 1.4rem;
}

/* @media screen and (min-width: 320px) {
  html {
    font-size: calc(16px + 6 * ((100vw - 320px) / 680));
  }
  body {
    max-width: 320px;
  }
}

@media screen and (min-width: 1000px) {
  html {
    font-size: 22px;
  }
  body {
    max-width: 1000px;
    margin: auto;
  }
} */

/* Responsive typography using media queries */
@media (min-width: var(--xs)) {
  html {
    font-size: 10px; /* 14px */
  }
}

@media (min-width: var(--sm)) {
  html {
    font-size: 16px; /* 16px */
  }
}

@media (min-width: var(--md)) {
  html {
    font-size: 18px; /* 18px */
  }
}

@media (min-width: var(--lg)) {
  html {
    font-size: 20px; /* 20px */
    max-width: 33vw;
    margin: auto;
  }
}

main {
  max-width: 900px;
  margin: 0 auto;
}

a:link,
a:visited {
  color: var(--highlight-color);
}

h1,
h2,
h3 {
  text-shadow: 2px 2px 3px #2b1800;
}

h1 {
  font-size: 2rem;
}

main > p {
  position: relative;
  color: white;
  font-family: 'Courier New', Courier, monospace;
  font-size: 1.5rem;
  font-weight: bold;
  text-align: left;
  line-height: 2rem;
  background-color: var(--secondary-color);
  padding: 1rem;
  margin: -1rem;
  transform: rotate(5deg);
  z-index: -10;
}

footer {
  color: var(--primary-color);
  background-color: rgb(0, 0, 0);
  font-family: 'Georgia', serif;
  font-weight: bolder;
  padding: 3rem 0;
  margin-top: 10rem;
  margin-bottom: 0;
}

footer > p {
  font-size: 1.3rem;
  font-weight: 100;
  line-height: 3rem;
}

img {
  text-shadow: 2px 2px 3px #2b1800;
}

.mainGraphic {
  margin-top: 3rem;
  width: 90%;
  height: auto;
}

.logoGraphic {
  margin-top: 3rem;
  width: 20%;
  height: auto;
}

.presents {
  margin-top: 4rem;
  margin-bottom: 2rem;
}

.vertical-spacer {
  width: 20px;
  height: 10rem;
}

.icon img {
  border: 4px solid var(--primary-color);
  border-radius: 15%;
  margin: 3rem;
}

.BUTTon {
  box-shadow: 0px 1px 0px 0px #fff6af;
  background: linear-gradient(to bottom, #ffec64 5%, #bda113 100%);
  background-color: #ffec64;
  border-radius: 6px;
  border: 1px solid #6d5c09;
  display: inline-block;
  cursor: pointer;
  color: #333333;
  font-family: Arial;
  font-size: 20px;
  font-weight: bold;
  padding: 12px 36px;
  text-decoration: none;
  text-shadow: 0px 1px 0px #ffee66;
}
.BUTTon:hover {
  background: linear-gradient(to bottom, #bda113 5%, #ffec64 100%);
  background-color: #bda113;
}
.BUTTon:active {
  position: relative;
  top: 1px;
}

.previews {
  display: flex;
  flex-wrap: wrap;
  padding: 0;
  margin: 0 auto;
  justify-content: center;
}

.preview {
  flex-direction: row;
  flex-shrink: 3;
  margin: 0;
  padding: 20px;
}

.preview img {
  border-radius: 20px;
}

.sticker {
}

#percent-whatever {
  position: absolute;
  top: 200px;
  left: -15vw;
  transform: rotate(-26deg) scale(0.2);
}

#am-i-doing-it-right {
  position: absolute;
  top: 200px;
  left: 45vw;
  transform: rotate(26deg) scale(0.2);
}

#autocorrect-inpecsted {
  position: absolute;
  top: 300px;
  left: 54vw;
  transform: rotate(26deg) scale(0.35);
}
#quality-not-guaranteed {
  position: absolute;
  top: 500px;
  left: 0vw;
  transform: rotate(-54deg) scale(0.3);
}
#top-koality {
  position: absolute;
  top: 600px;
  left: 66vw;
  transform: rotate(-32deg) scale(0.3);
}
#trash-king {
  position: absolute;
  top: 800px;
  left: 0vw;
  transform: rotate(5deg) scale(0.3);
}

#way-to-be-medium {
  position: absolute;
  top: 800px;
  left: 65vw;
  transform: rotate(-16deg) scale(0.4);
}
